org.encog.mathutil.randomize.generate

## Class SecureGenerateRandom

- java.lang.Object
- - org.encog.mathutil.randomize.generate.AbstractGenerateRandom
  - - org.encog.mathutil.randomize.generate.SecureGenerateRandom

- All Implemented Interfaces:
    GenerateRandom

      public class SecureGenerateRandom
      extends AbstractGenerateRandom

  A wrapper over Java's crypto secure random number generator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureGenerateRandom()` Construct with a time-based seed.
    `SecureGenerateRandom(long seed)` Construct the random number generator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `nextBoolean()`
    `double` | `nextDouble()`
    `float` | `nextFloat()`
    `double` | `nextGaussian()`
    `int` | `nextInt()`
    `long` | `nextLong()`

    - ### Methods inherited from class org.encog.mathutil.randomize.generate.AbstractGenerateRandom

      `nextDouble, nextDouble, nextInt, nextInt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureGenerateRandom

          public SecureGenerateRandom(long seed)

      Construct the random number generator.
      Parameters:
        `seed` - The seed.

    - #### SecureGenerateRandom

          public SecureGenerateRandom()

      Construct with a time-based seed.

  - ### Method Detail

    - #### nextInt

          public int nextInt()

      Returns:
        The next random integer.

    - #### nextDouble

          public double nextDouble()

      Returns:
        The next random double.

    - #### nextFloat

          public float nextFloat()

      Returns:
        The next random floating point.

    - #### nextLong

          public long nextLong()

      Returns:
        The next random long.

    - #### nextBoolean

          public boolean nextBoolean()

      Returns:
        The next random boolean.

    - #### nextGaussian

          public double nextGaussian()

      Returns:
        The next normally distributed random number.

Copyright © 2014. All Rights Reserved.